VERILATOR_PROFCFUNC(1)

NAME
verilator_profcfunc - Read gprof report created with Verilator --prof-cfuncs

DESCRIPTION
usage: verilator_profcfunc [-h] [--debug] filename

Read gprof report created with Verilator --prof-cfuncs

Verilator_profcfunc reads a profile report created by gprof. The names of the functions are then transformed, assuming the user used Verilator's --prof-cfuncs, and a report printed showing the percentage of time, etc, in each Verilog block.

For documentation see https://verilator.org/guide/latest/exe_verilator_profcfunc.html

  positional arguments:

filename
    input gprof output to process

  optional arguments:

-h, --help
    show this help message and exit

--debug
    enable debug

This program is free software; you can redistribute it and/or modify it under the terms of either the GNU Lesser General Public License Version 3 or the Perl Artistic License Version 2.0.

SPDX-FileCopyrightText: 2002-2026 Wilson Snyder SPDX-License-Identifier: LGPL-3.0-only OR Artistic-2.0